## org.codehaus.groovy.grails.orm.hibernate.exceptions
Class CouldNotDetermineHibernateDialectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsHibernateException
                          org.codehaus.groovy.grails.orm.hibernate.exceptions.CouldNotDetermineHibernateDialectException

All Implemented Interfaces:
  Serializable

    public class CouldNotDetermineHibernateDialectException

extends GrailsHibernateException

Thrown when no Hibernate dialect could be found for a database name

Since:
  Aug 6, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`CouldNotDetermineHibernateDialectException()`
`CouldNotDetermineHibernateDialectException(String arg0)`
`CouldNotDetermineHibernateDialectException(String arg0, Throwable arg1)`
`CouldNotDetermineHibernateDialectException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CouldNotDetermineHibernateDialectException

    public CouldNotDetermineHibernateDialectException()

### CouldNotDetermineHibernateDialectException

    public CouldNotDetermineHibernateDialectException(String arg0)

### CouldNotDetermineHibernateDialectException

    public CouldNotDetermineHibernateDialectException(String arg0,
                                                      Throwable arg1)

### CouldNotDetermineHibernateDialectException

    public CouldNotDetermineHibernateDialectException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project